%define pre %nil

Name: GTKsubtitler
Version: 0.2.4
Release: alt0.7%pre

Summary: Tool for editing and converting subtitles for divx films
License: GPL
Group: Video
Url: http://www.gtksubtitler.prv.pl

Source: %url/download/%name-v%version%pre.tar.gz

# Automatically added by buildreq on   08 2003
BuildRequires: ORBit-devel XFree86-devel XFree86-libs esound-devel glib-devel gnome-libs-devel gtk+-devel imlib-devel libaudiofile-devel libdb1-devel xpm-devel

%description
Tool for editing and converting subtitles for divx films. It supports
merging, moving, changing format of sub-file and converting (to
iso-8859-1/2) divix subtitles. It supports 4 formats of subtitle-files:
Microdvd, Time, SubViewer 2.0 SubRip.

%prep
%setup -q -n %name-v%version%pre

%build
%configure
%make_build

%install
%makeinstall

# menu 
%__cat <<__MENU__ >%name.menu
?package(%name): needs="x11" section="Multimedia/Video" title="%name" \
longtitle="Subtitles editor" command="%_bindir/%name" icon="%name.xpm"
__MENU__

%__install -pD -m644 %name.menu %buildroot%_menudir/%name

%__install -pD -m644 pixmaps/%name.xpm %buildroot%_liconsdir/%name.xpm

%post
%update_menus
%postun
%clean_menus

%files
%_bindir/*
%_datadir/%name
%_datadir/pixmaps/*
%_menudir/*
%_liconsdir/*
%doc AUTHORS README SUB_FORMATS

%changelog
* Sat May 24 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.2.4-alt0.7
- 0.2.4

* Tue Apr 08 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.2.3-alt0.6
- 0.2.3

* Mon Mar 03 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.2.1-alt0.6
- 0.2.1

* Thu Feb 20 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.2.0-alt0.6
- new version.

* Tue Feb 04 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.2.0-alt0.5pre1
- First build for Sisyphus.

